API ReferenceVacation Available
Updates the VacationAvailable resource.
PATCH
Updates the VacationAvailable resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringVacationAvailable identifier
The updated VacationAvailable resource
- body
daysTransferred?integerRange
0 <= value <= 365daysCurrentYear?integerRange
0 <= value <= 365VacationAvailable resource updated
- response
id?stringFormat
uuidyear?integerdaysTransferred?integerdaysCurrentYear?integerdaysAvailable?integerdaysUsed?integercalendarUser?|nullpermissions?curl -X PATCH 'https://app.icproject.com/api/instance/demo/calendar/vacation-availables/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "year": 0, "daysTransferred": 0, "daysCurrentYear": 0, "daysAvailable": 0, "daysUsed": 0, "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "permissions": { "canManage": null }}